CREATE TABLE fa_bonus_rates_ (
    BONUS_RULE_ID              NUMBER(18, 0) ,
    START_YEAR                 NUMBER(4, 0)  ,
    END_YEAR                   NUMBER(4, 0)  ,
    BONUS_RATE                 NUMBER        ,
    DEPRN_FACTOR               NUMBER        ,
    ALTERNATE_DEPRN_FACTOR     NUMBER        ,
    CREATION_DATE              TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)  ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE    VARCHAR2(120) ,
    START_PERIOD               VARCHAR2(60)  ,
    END_PERIOD                 VARCHAR2(60)  ,
    START_PERIOD_COUNTER       NUMBER(18, 0) ,
    END_PERIOD_COUNTER         NUMBER(18, 0) ,
    AUDIT_ACTION_TYPE_         VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_      VARCHAR2(4000),
    AUDIT_IMPERSONATOR_        VARCHAR2(256) ,
    BONUS_RULE_ID              NUMBER(18, 0) ,
    START_YEAR                 NUMBER(4, 0)  ,
    END_YEAR                   NUMBER(4, 0)  ,
    BONUS_RATE                 NUMBER        ,
    DEPRN_FACTOR               NUMBER        ,
    ALTERNATE_DEPRN_FACTOR     NUMBER        ,
    CREATION_DATE              TIMESTAMP(6)  ,
    CREATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)  ,
    ATTRIBUTE1                 VARCHAR2(600) ,
    ATTRIBUTE2                 VARCHAR2(600) ,
    ATTRIBUTE3                 VARCHAR2(600) ,
    ATTRIBUTE4                 VARCHAR2(600) ,
    ATTRIBUTE5                 VARCHAR2(600) ,
    ATTRIBUTE6                 VARCHAR2(600) ,
    ATTRIBUTE7                 VARCHAR2(600) ,
    ATTRIBUTE8                 VARCHAR2(600) ,
    ATTRIBUTE9                 VARCHAR2(600) ,
    ATTRIBUTE10                VARCHAR2(600) ,
    ATTRIBUTE11                VARCHAR2(600) ,
    ATTRIBUTE12                VARCHAR2(600) ,
    ATTRIBUTE13                VARCHAR2(600) ,
    ATTRIBUTE14                VARCHAR2(600) ,
    ATTRIBUTE15                VARCHAR2(600) ,
    ATTRIBUTE_CATEGORY_CODE    VARCHAR2(120) ,
    START_PERIOD               VARCHAR2(60)  ,
    END_PERIOD                 VARCHAR2(60)  ,
    AUDIT_ACTION_TYPE_         VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_      VARCHAR2(4000),
    AUDIT_IMPERSONATOR_        VARCHAR2(256) ,
    START_PERIOD_COUNTER       NUMBER(18, 0) ,
    END_PERIOD_COUNTER         NUMBER(18, 0) ,
    CONSTRAINT pk_fa_bonus_rates_ PRIMARY KEY (BONUS_RULE_ID, START_YEAR, LAST_UPDATE_DATE, LAST_UPDATED_BY, START_PERIOD, BONUS_RULE_ID, START_YEAR, LAST_UPDATE_DATE, LAST_UPDATED_BY, START_PERIOD)
);
